## org.apache.commons.math.analysis
Interface UnivariateRealFunction

All Known Subinterfaces:
  DifferentiableUnivariateRealFunction

All Known Implementing Classes:
  ComposableFunction, HarmonicFunction, NonLinearConjugateGradientOptimizer.LineSearchFunction, PolynomialFunction, PolynomialFunctionLagrangeForm, PolynomialFunctionNewtonForm, PolynomialSplineFunction

    public interface UnivariateRealFunction

An interface representing a univariate real function.

Version:
  $Revision: 811786 $ $Date: 2009-09-06 05:36:08 -0400 (Sun, 06 Sep 2009) $

Method Summary
`double` `value(double x)` Compute the value for the function.

Method Detail

### value

    double value(double x)
                 throws FunctionEvaluationException

  Compute the value for the function.

  Parameters:
    `x` - the point for which the function value should be computed
  Returns:
    the value
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails

Copyright (c) 2003-2011 Apache Software Foundation